Fund Transfer
Fund Transfers is used to move money, assets or funds between the balance sheet accounts. It allows you to transfer funds between similar but different accounts, e.g., from a checking account to a petty cash account or from a savings account to your checking account. Fund Transfers object allows you to perform the following operations:
- Retrieve a specific fund transfer or a list of fund transfers
- Create a fund transfer
- Update a fund transfer
- Delete a fund transfer
- cURL
- NODE.JS
- PHP
- C#
- PYTHON
- JAVA
The Fund Transfer Object
asterisk denotes required| Name | Description | Format | Attributes |
|---|---|---|---|
| amount | Represents the fund transfer amount | double | Filterable, Sortable |
| date | Represents the date of the fund transfer | date-time | Filterable, Sortable |
| destinationId | Identifier of the account to which funds are transferred | uuid | Filterable, Sortable |
| sourceId | Identifier of the account from which funds are transferred | uuid | Filterable, Sortable |
| accountingDate | Date that determines the accounting period to which the transaction belongs in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | |
| createdById | Identifier of the user who created this object | uuid | Filterable |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| customFields []Array: Parent object can have multiple instances of this nested object under it. | List of custom fields | CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter. | |
| destinationAccount | Name of the account to which funds are transferred | string | Filterable, Sortable |
| id | Object identifier | uuid | Filterable |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| lastUpdatedById | Identifier of the user who last updated this object | uuid | Filterable |
| memo | Records any extra information against a fund transfer for recapitulation | string | |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectState Enumerated type: Click to see possible values and their descriptions. | |
| sourceAccount | Name of the account from which funds are transferred | string | Filterable, Sortable |
| token | Represents the token for update operations | int32 | |
| version | Implements concurrency on this object | byte |
Fund Transfer List
Use this method to retrieve a list of fund transfers. You can optionally pass where, orderBy, and page as query parameters to filter the result. Use the fields parameter to request a subset of the model. By default, a complete model is returned. The expand parameter is used to request nested properties in the model.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| fields | Query | Specifies the model properties you want in the response body | string |
| where | Query | Specifies only those records that match an expression in the query | string |
| orderBy | Query | Specifies the order of the records | string |
| page | Query | Specifies the page number and number of records on each page | string |
| expand | Query | Specifies the nested model properties you want in the response body | string |
Response Body
| Name | Description | Format |
|---|---|---|
| amount | Represents the fund transfer amount | double |
| date | Represents the date of the fund transfer | date-time |
| destinationId | Identifier of the account to which funds are transferred | uuid |
| sourceId | Identifier of the account from which funds are transferred | uuid |
| accountingDate | Date that determines the accounting period to which the transaction belongs in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customFields []Array: Parent object can have multiple instances of this nested object under it. | List of custom fields | CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter. |
| destinationAccount | Name of the account to which funds are transferred | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| memo | Records any extra information against a fund transfer for recapitulation | string |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| sourceAccount | Name of the account from which funds are transferred | string |
| token | Represents the token for update operations | int32 |
| version | Implements concurrency on this object | byte |
[
{
"amount": 1,
"date": "2026-09-23T06:02:28Z",
"destinationId": "a4d68f4d-b00f-4b53-97eb-2bb217d529b3",
"sourceId": "73f67028-ace6-4c10-b02e-419f694484a5",
"accountingDate": "2026-09-23T06:02:28Z",
"createdById": "be52c2b4-e9e3-43ab-a865-dbeddbd937f7",
"createdOn": "2026-09-23T06:02:28Z",
"customFields": [
{
"definitionId": "ee78512f-c9fb-4760-8656-5e82c734c462",
"createdById": "d1e4fb96-f68e-4fbe-8ede-ea70840e0064",
"createdOn": "2026-09-23T06:02:28Z",
"description": "CustomFieldData Description",
"id": "4542e59f-7015-4efe-a3f7-239787e561ad",
"label": "label",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "6a05e130-8280-4ca3-a20f-491200206001",
"objectState": null,
"token": 0,
"type": null,
"value": "value",
"version": "U3dhZ2dlciByb2Nrcw=="
}
],
"destinationAccount": "destinationAccount",
"id": "3b0972e1-80ab-4a3a-9643-ae4b4a5b0bdd",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "7e57f6a7-b595-47df-a0e8-80935da7d943",
"memo": "memo",
"objectState": null,
"sourceAccount": "sourceAccount",
"token": 0,
"version": "U3dhZ2dlciByb2Nrcw=="
}
]Retrieve a Fund Transfer
Use this method to retrieve a specific fund transfer. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Fund Transfer identifier | string |
Response Body
| Name | Description | Format |
|---|---|---|
| amount | Represents the fund transfer amount | double |
| date | Represents the date of the fund transfer | date-time |
| destinationId | Identifier of the account to which funds are transferred | uuid |
| sourceId | Identifier of the account from which funds are transferred | uuid |
| accountingDate | Date that determines the accounting period to which the transaction belongs in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customFields []Array: Parent object can have multiple instances of this nested object under it. | List of custom fields | CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter. |
| destinationAccount | Name of the account to which funds are transferred | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| memo | Records any extra information against a fund transfer for recapitulation | string |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| sourceAccount | Name of the account from which funds are transferred | string |
| token | Represents the token for update operations | int32 |
| version | Implements concurrency on this object | byte |
{
"amount": 1,
"date": "2026-09-23T06:02:28Z",
"destinationId": "eb1c9f27-e263-41d2-8c88-fad97f0e7f14",
"sourceId": "bf8971f2-2161-4609-943f-7335a9029e0c",
"accountingDate": "2026-09-23T06:02:28Z",
"createdById": "9d0f2fa9-07f0-4bc5-b84c-038cafe8e6ed",
"createdOn": "2026-09-23T06:02:28Z",
"customFields": [
{
"definitionId": "20a7346f-29be-411e-ab02-c7c102bf85c1",
"createdById": "98786bba-37b6-4ef9-8737-ff535c2d4673",
"createdOn": "2026-09-23T06:02:28Z",
"description": "CustomFieldData Description",
"id": "6363afab-92d0-4369-9191-342c247c14f4",
"label": "label",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "e3a81250-8fdd-4492-9931-00128dfef396",
"objectState": null,
"token": 0,
"type": null,
"value": "value",
"version": "U3dhZ2dlciByb2Nrcw=="
}
],
"destinationAccount": "destinationAccount",
"id": "6c78471a-b248-4383-ad66-df0774f1a1a4",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "a2762a06-5de0-400b-a0fd-d7cba7988ba3",
"memo": "memo",
"objectState": null,
"sourceAccount": "sourceAccount",
"token": 0,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Fund Transfer
Use this method to craete a fund transfer. Pass fund transfer object as the parameter.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Fund Transfer object | FundTransfer |
Response Body
| Name | Description | Format |
|---|---|---|
| amount | Represents the fund transfer amount | double |
| date | Represents the date of the fund transfer | date-time |
| destinationId | Identifier of the account to which funds are transferred | uuid |
| sourceId | Identifier of the account from which funds are transferred | uuid |
| accountingDate | Date that determines the accounting period to which the transaction belongs in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customFields []Array: Parent object can have multiple instances of this nested object under it. | List of custom fields | CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter. |
| destinationAccount | Name of the account to which funds are transferred | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| memo | Records any extra information against a fund transfer for recapitulation | string |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| sourceAccount | Name of the account from which funds are transferred | string |
| token | Represents the token for update operations | int32 |
| version | Implements concurrency on this object | byte |
{
"amount": 1,
"date": "2026-09-23T06:02:28Z",
"destinationId": "19e7a6d0-5139-41c8-bb97-15c1c8ab89a8",
"sourceId": "43125287-4094-4b43-889c-d167f54dd39c",
"accountingDate": "2026-09-23T06:02:28Z",
"createdById": "9448b497-aaf8-4dda-80a4-322e3a9d6c97",
"createdOn": "2026-09-23T06:02:28Z",
"customFields": [
{
"definitionId": "95ac4167-a690-4899-92c1-7c93206b579c",
"createdById": "af697dfa-ee8a-43bf-9300-b93a9755315d",
"createdOn": "2026-09-23T06:02:28Z",
"description": "CustomFieldData Description",
"id": "61f8fab9-87d8-4b41-8195-982dbaae4576",
"label": "label",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "2a205de2-6de1-4073-9fc0-be0bce831654",
"objectState": null,
"token": 0,
"type": null,
"value": "value",
"version": "U3dhZ2dlciByb2Nrcw=="
}
],
"destinationAccount": "destinationAccount",
"id": "0d86a225-790c-41c6-8ed9-3e8b044ccf73",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "2e8b257c-a578-428d-b50c-8026e99a7234",
"memo": "memo",
"objectState": null,
"sourceAccount": "sourceAccount",
"token": 0,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Fund Transfer List
Use this method to save multiple fund transfers. Pass model as the parameter.
As saving multiple records in a batch takes time, this endpoint returns a Job object that shows the progress of the batch operation. To check the status of the operation at any time, use the job endpoint.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Fund Transfer object | FundTransferBatchRequest |
Response Body
| Name | Description | Format |
|---|---|---|
| batchSize | Represents the number of entities in a batch | int64 |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| progress | Represents the total number of entities processed | int64 |
| status | Represents the status of a job e.g., ready, running, completed, or terminated | string |
| token | Represents the token for update operations | int32 |
| type | Represents the type of a job e.g., create, update, or delete | string |
| version | Implements concurrency on this object | byte |
{
"batchSize": 0,
"createdById": "aff2cad1-5fa5-43a9-8ae5-ca5db17d1103",
"createdOn": "2026-09-23T06:02:28Z",
"id": "1f8b4f12-7470-43ce-9576-dbcd82d00fec",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "327ec6de-7026-404e-bf47-e1c8007200ee",
"objectState": null,
"progress": 0,
"status": "status",
"token": 0,
"type": "type",
"version": "U3dhZ2dlciByb2Nrcw=="
}Update a Fund Transfer
Use this method to update a fund transfer. Pass id and fund transfer as parameters.
Request URL
Method Overview
HTTP Method:
PUT
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Fund Transfer identifier | string |
| body | Body | Fund Transfer object | FundTransfer |
Response Body
| Name | Description | Format |
|---|---|---|
| amount | Represents the fund transfer amount | double |
| date | Represents the date of the fund transfer | date-time |
| destinationId | Identifier of the account to which funds are transferred | uuid |
| sourceId | Identifier of the account from which funds are transferred | uuid |
| accountingDate | Date that determines the accounting period to which the transaction belongs in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customFields []Array: Parent object can have multiple instances of this nested object under it. | List of custom fields | CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter. |
| destinationAccount | Name of the account to which funds are transferred | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| memo | Records any extra information against a fund transfer for recapitulation | string |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| sourceAccount | Name of the account from which funds are transferred | string |
| token | Represents the token for update operations | int32 |
| version | Implements concurrency on this object | byte |
{
"amount": 1,
"date": "2026-09-23T06:02:28Z",
"destinationId": "4d76b27c-57bd-4e57-aa47-351abf59600a",
"sourceId": "c2e3e497-1f7f-40fc-a8f9-e7871fa2fe61",
"accountingDate": "2026-09-23T06:02:28Z",
"createdById": "f59fc7b8-572e-479b-8e7a-6940259dcc66",
"createdOn": "2026-09-23T06:02:28Z",
"customFields": [
{
"definitionId": "68d17f15-1e34-4e65-901f-44951754a98e",
"createdById": "b9248190-c4bd-41bd-b6e0-ae0c41c88d9b",
"createdOn": "2026-09-23T06:02:28Z",
"description": "CustomFieldData Description",
"id": "11f2cef5-baf6-479a-85ad-7abebd7531f3",
"label": "label",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "c30b08fe-4ae6-47bb-8e9d-192aa260f095",
"objectState": null,
"token": 0,
"type": null,
"value": "value",
"version": "U3dhZ2dlciByb2Nrcw=="
}
],
"destinationAccount": "destinationAccount",
"id": "1a3b9502-d937-4447-b050-182cdab055cf",
"lastUpdated": "2026-09-23T06:02:28Z",
"lastUpdatedById": "e68606d4-c6ea-41a6-b6c3-91a8aeb4abc2",
"memo": "memo",
"objectState": null,
"sourceAccount": "sourceAccount",
"token": 0,
"version": "U3dhZ2dlciByb2Nrcw=="
}Delete a Fund Transfer
Use this method to delete a fund transfer. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
DELETE
Content Type:
application/json
Response Format:
N/A
Requires Authentication?
Yes
Headers:
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Fund Transfer identifier | string |
Patch a Fund Transfer
Use this method to perform partial modifications to a fund transfer. Pass id and patch document as parameters.
Request URL
Method Overview
HTTP Method:
PATCH
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Fund Transfer
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Fund Transfer identifier | string |
| body | Body | A document containing an array of objects with each object representing a single operation to be performed | FundTransferPatchDocument |
Response Body
| Name | Description | Format |
|---|